services:
  fdroid:
    image: registry.gitlab.com/fdroid/docker-executable-fdroidserver:master
    container_name: frdoid-repo
    volumes:
      - ./:/repo
    working_dir: /repo
    network_mode: bridge

  fdroid-web:
    image: nginx:alpine
    container_name: fdroid-web
    ports:
      - "9092:80"
    volumes:
      - ./:/usr/share/nginx/html:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    network_mode: bridge
    restart: unless-stopped
